Subject: Re: [Ace] draft-ietf-ace-usecases-00

From: Sean Turner <[email-masked]>
Date: Thu, 8 Jan 2015 12:21:22 -0500

I reviewed the -00 version of the use cases draft.  Overall, I wanted to say that I wish more drafts were this easy to read.  This is probably a philosophical thing but I’m really glad you didn’t use 2119-language in this draft.  This draft captures what I was looking for in a use case draft so hopefully after addressing some of Hannes’ points we can just WGLC the -01 version!  What follows are some nits:

0) s.1.1: fix the line break:

Client (C): A device which wants to access a resource on the Resource
   Server.
   This could also be a constrained device.

1) Is it worth pointing out in s2 that you’re not trying to enumerate all use cases?  I’d like to avoid getting this draft done because folks are afraid their use case is not listed.

2) s2.1.2: U1.1: I like the idea of being more specific because I was curious if at time t there’s going to be more than one entity with authorization or if there will only ever be one entity authorized at a given time.  I think that that’s implied but I’m not sure I remember reading it explicitly.

3) s2.1.2: U1.4&5: WRT Hannes/Michael’s thoughts on these two: I’d keep ‘em and just state they’re out of scope. I think it’s better to leave them there than later have somebody ask well what about these things later.

4) S2.1.2: U1.9: (just an observation nothing needs to be changed) I think it’ll be interesting to see how we’ll deal with this because I could see authorizations being given for a set amount of time and then having to deal with the timer running out.  

5) S2.2.1: I could see replacing "or their smartphones” with “or with an internet connected device (e.g., smartphones)” because I might actually want to use my laptop, or my car’s touchscreen.  Then again I guess we don’t have to list every possible scenario.  I’ll leave it to you.

6) S2.2.2: r/smart phone/smartphone

7) S2.3.1: fix the line break:

   including access control.
   This prevents situation where someone else wearing that device can

8) S2.4: fix the line break:

   areas of the building.
   Accordingly, a company must be able to control the light and HVAC

9) s2.7: Probably need an informative link to what the Stuxnet worm was.

10) s3.3: r/internet/Internet

11) s4: line breaks:

   other parties involved.
   Suitable measures for protecting and purging the logs must be taken

12) As a security area draft, I’m really disappointed that Alice, Bob, Eve, and Mallory somehow got left out ;)

spt

On Dec 04, 2014, at 08:58, Hannes Tschofenig <[email-masked]> wrote:

> Hi all,
> 
> we are happy to see the use case document adopted.
> 
> Here is the draft:
> http://www.ietf.org/id/draft-ietf-ace-usecases-00.txt
> 
> Please take a look at the document; we would like to advance it.
> 
> Ciao
> Hannes & Kepeng
> 
> _______________________________________________
> Ace mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ace